Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.config.spi
Interface ConfigurationService

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  ConfigurationServiceImpl

    public interface ConfigurationService

extends Service

Provides access to the initial user-provided configuration values

Nested Class Summary
`static interface` | `ConfigurationService.Converter<T>`

Method Summary
`
`<T> T`
` | `getSetting(String name, ConfigurationService.Converter<T> converter)`
`
`<T> T`
` | `getSetting(String name, ConfigurationService.Converter<T> converter, T defaultValue)`
`Map` | `getSettings()`

Method Detail

### getSettings

    Map getSettings()

### getSetting

    <T> T getSetting(String name,
                     ConfigurationService.Converter<T> converter)

### getSetting

    <T> T getSetting(String name,
                     ConfigurationService.Converter<T> converter,
                     T defaultValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.